Subject: RE: Carrier ENUM Definition (was RE: [Enum] Agenda items forIETF Paris)

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 18 Jul 2005 15:21:28 -0400

Michael,

We are still not there yet.

I am party A.  I get an E.164 number directly from the number
administrator (not through a carrier) and put it in User ENUM.

My mother is party B.  She gets E.164 number from a carrier who has
moved her over to VoIP and puts that number in Carrier ENUM, but doesn't
tell her anything about User ENUM.  (She doesn't monitor ENUM WG
mailer.)

My mother can call me, since carrier is smart enough to look me up in
User ENUM.  But, they are not required to do so!  So, maybe she can't
call me.

Can I call my mother?  No.  I do lookup in User ENUM and she is not
there.  I (according to you) may not have access to Carrier ENUM, or
even if I did, sending a call to the interconnect point would be
rejected because I don't have an interconnect agreement with every
carrier.  My only recourse is to get an E.164 number from a major
carrier that likely has interconnect to my mother's carrier.

The end result will be that User ENUM dies and we all have to get E.164
from and subscribe to carrier to get calls through.  What good is it to
be able to communicate only to the miniscule minority that knows
otherwise?

Mike

> -----Original Message-----
> From: Michael Haberler [mailto:mah at inode.at] 
> Sent: Monday, July 11, 2005 6:47 PM
> To: Michael Hammer (mhammer)
> Cc: enum at ietf.org
> Subject: RE: Carrier ENUM Definition (was RE: [Enum] Agenda 
> items forIETF Paris)
> 
> At 00:01 12.07.2005, Michael Hammer \(mhammer\) wrote:
> 
> >But, now you have partitioned the PSTN into walled gardens.
> 
> Sorry if I was unclear - you are right, that wasnt what I 
> intended to say.
> 
> regarding scenario 1 (I'm unsure what you mean by "ENUM 
> number"  in that
> context):
> 
> a) If A just obtains a number from the NP administrator, and 
> has NOT subcribed to any carrier for routing that number in 
> the PSTN, then  A is relegated to the User ENUM scenario - in 
> which case A will be able to call B if B has opted in to User 
> ENUM and A resolves B in the User ENUM tree.
> 
> b) if A is serviced by a carrier, and passes calls by some 
> way (POTS, ISDN,
> IP) to him for delivery, then the call will obviously succeed 
> through direct PSTN interconnect or carriers'carrier service 
> delivering to X - standard PSTN case.
> 
> b1)  if A's carrier decides to resolve B's number in the 
> carrier tree, finds the POI information for X, and has an 
> agreement with X, then A's carrier will be able to pass the 
> call to X on IP.
> 
> b2) If A's carrier decides to resolve B's number in the 
> carrier tree, finds the POI information for X, and has NO 
> agreement with X, then A's carrier will probably pass the 
> call to X via the PSTN (again direct PSTN interconnect or 
> carriers'carrier service delivering to X).
> 
> b3) If A's carrier decides to resolve in the carrier tree and 
> doesnt find any POI information for X (= X doesnt user the 
> carrier ENUm tree), again A's carrier will probably pass the 
> call to X via the PSTN as above.
> 
> >It should not be a requirement for party B to opt-in to User 
> ENUM for 
> >the call to go through.  If the caller is in Carrier ENUM, the call 
> >should still go through unless party B has blocked calls 
> from party A.
> 
> It isnt a requirement, sorry - I hit send too fast and hoped 
> nobody will notice ;) ...
> > > At 23:33 08.07.2005, Michael Hammer \(mhammer\) wrote:
> > >
> > > >Following up on the question about hiding the points of 
> > > >interconnect between two carriers:
> > > >
> > > >1.  Does this mean that if party A has been assigned an 
> ENUM number 
> > > >directly from a national authority and A tries to call party
> > > B that got
> > > >his number from a carrier X in club Y, that the ENUM query
> > > for the SBC
> > > >to access carrier X will be null because A is not in club Y?
> > >
> > > A will be able to call B if B has opted in to User ENUM.
> >
> >The requirement should be that an ENUM lookup will reveal 
> B's carrier's 
> >SBC.  B should not have to opt-in to User ENUM for this to work.
> >
> >What happened to the one lookup requirement?
> 
> Noted - it should say: one DNS lookup per tree (carrier or 
> user) to resolve to a NAPTR.
> 
> > > If A, a "User", looks in the carrier tree for B, he will find X's 
> > > SBC URI.
> > > The session setup to this URI will fail though.
> >
> >It should not fail, unless you want to force all users to 
> have to user 
> >carriers.
> 
> I'm confused - are you saying that just because *user* A has 
> some way of determining the POI of *carrier* X (servicing B) 
> then X is *required* to accept the call from *user* A?
> 
> that's not how interconnection works - I guess this is a 
> misunderstanding.
> 
> Nobody is forced to use a carrier just because he owns a 
> E.164 number (subject to local regulatory mileage) - but it 
> helps reachability to the non-user ENUM enabled part of the 
> E.164 space a lot.
> 
> -Michael
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Michael Haberler <[email-masked]>
Date: Mon, 18 Jul 2005 21:51:17 -0400

At 21:21 18.07.2005, Michael Hammer \(mhammer\) wrote:
Michael,
We are still not there yet.
I am party A.  I get an E.164 number directly from the number
administrator (not through a carrier) and put it in User ENUM.
did you contract a telco to route that number in the PSTN once you got it, 
or not?

My mother is party B.  She gets E.164 number from a carrier who has
moved her over to VoIP and puts that number in Carrier ENUM, but doesn't
tell her anything about User ENUM.  (She doesn't monitor ENUM WG
mailer.)
My mother can call me, since carrier is smart enough to look me up in
User ENUM.  But, they are not required to do so!  So, maybe she can't
call me.
Can I call my mother?  No.
Yes, and that is your problem, not an ENUM problem.
I do lookup in User ENUM and she is not
there.
I (according to you) may not have access to Carrier ENUM, or
even if I did, sending a call to the interconnect point would be
rejected because I don't have an interconnect agreement with every
carrier.
yes, that's how life is for phone users - I'll have to be a customer of a 
telco so I can be called by the non-User-ENUM-aware population.

My only recourse is to get an E.164 number from a major
carrier that likely has interconnect to my mother's carrier.
No, your recourse is to contract a telco to route that number in the PSTN, 
just like everbody else does. For your ability to be called by your mother 
you' or your mother likely do not care about carrier ENUM or not used by 
your telcos, and frankly its not your business in the first place if you 
are a user. Carrier ENUM or not is a carrier business decision (aka carrier 
opt-in).

Part of the misunderstanding we have might actually be based in the 
historically fuzzy definition of number ownership and rights and 
obligations attached to it. The fuzz factor comes in in two ways a) a telco 
sort of "owns" a number until a user ports away b) for individually 
assigned numbers (as in my example +43 59966) the owner still needs to turn 
around and contract a telco to route it which sort of makes him the "number 
range holder" for a number you own - again until one ports elsewhere. The 
better term thus really is "carrier-of-record" which covers all cases - 
number issued out of a block, number ported to new carrier (of record) and 
individually assigned number "recorded" to be routed in the PSTN by that telco.

The end result will be that User ENUM dies and we all have to get E.164
from and subscribe to carrier to get calls through.
The current result is that telcos care zilch about user ENUM and deliver 
calls over the PSTN, which is why you are well advised to have a telco 
route to your number no matter how you'd obtained it, so you can be called 
by the 99.999999% of non-user-ENUM telephone users.

The medium result might be that telcos migrate to IP interconnect but just 
dont give up their habits yet. Enlightened telcos might consult User ENUM, 
too, besides some other mechanism to drive their IP interconnect, but that 
doesnt make my day.

The long term result might be that telcos get revenue through useful 
service to customers and not by charging at the termination bottleneck. 
Whoa.. what a concept..

Whatever the outcome, I wouldnt operate on the assumption that one can 
force, or shortcut that development through IETF activity. An offering 
which aids migration between business models might help. An approach which 
exclusively addresses the 0.000001% scenario is likely to be a very the 
long road.

What good is it to
be able to communicate only to the miniscule minority that knows
otherwise?
That is in fact an excellent question, and encapsulates the User ENUM 
adoption problem entirely.

The fact that you own an E.164 identifier doesnt give you the right to 
force everbody else in the world to deliver to said identifier in a way you 
would like (and I would like, put the PSTN aint like email).

-Michael

---

From: "Clive D.W. Feather" <[email-masked]>
Date: Tue, 26 Jul 2005 03:57:55 -0400

> would like (and I would like, put the PSTN aint like email).

Exactly.

This is, in fact, no different to the Internet world.

> did you contract a telco to route that number in the PSTN once you got it, 

I am party A. I get a block of IP addresses from RIPE and a domain name
from Nominet, and I put them in the DNS. However, unless I contract with an
ISP to route those addresses to and from the rest of the Internet, I'm
stuck.

>> tell her anything about User ENUM.  (She doesn't monitor ENUM WG

My mother is party B. She gets her IP address and domain name from her ISP.

>> Can I call my mother?  No.

Can my mother and I email each other? No.

> Yes, and that is your problem, not an ENUM problem.

Exactly.

-- 
Clive D.W. Feather  | Work:  <clive at demon.net>   | Tel:    +44 20 8495 6138
Internet Expert     | Home:  <clive at davros.org>  | Fax:    +44 870 051 9937
Demon Internet      | WWW: http://www.davros.org | Mobile: +44 7973 377646
Thus plc            |                            |